Bug 730474 - [abrt] fslint-2.42-2.fc15: merge_hardlinks:58:<module>:ValueError: need more than 1 value to unpack
Summary: [abrt] fslint-2.42-2.fc15: merge_hardlinks:58:<module>:ValueError: need more ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fslint
Version: 23
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pádraig Brady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:bf72cd3cf82368a22fdbccdb9fe...
: 1185362 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-13 11:59 UTC by Mircea Sava
Modified: 2016-12-20 12:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 12:09:12 UTC


Attachments (Terms of Use)

Description Mircea Sava 2011-08-13 11:59:53 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        
component:      fslint
executable:     /usr/share/fslint/fslint/supprt/rmlint/merge_hardlinks
kernel:         2.6.40-4.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        fslint-2.42-2.fc15
reason:         merge_hardlinks:58:<module>:ValueError: need more than 1 value to unpack
time:           Sat Aug 13 14:40:18 2011
uid:            528
username:       mircea

backtrace:
:merge_hardlinks:58:<module>:ValueError: need more than 1 value to unpack
:
:Traceback (most recent call last):
:  File "/usr/share/fslint/fslint/supprt/rmlint/merge_hardlinks", line 58, in <module>
:    path, dev, inode, size = line.rstrip().split(' ')
:ValueError: need more than 1 value to unpack
:
:Local variables in innermost frame:
:last_inode: ('64770', '5901677')
:__builtins__: <module '__builtin__' (built-in)>
:__file__: '/usr/share/fslint/fslint/supprt/rmlint/merge_hardlinks'
:group_to_check: ['/home/mircea/.libreoffice/3/user/extensions/bundled/lastsynchronized 64770 5901677 1\n', '/home/mircea/.libreoffice/3/user/extensions/shared/lastsynchronized 64770 5901678 1\n']
:dev: '64770'
:__package__: None
:sys: <module 'sys' (built-in)>
:path: '/home/mircea/.libreoffice/3/user/extensions/shared/lastsynchronized'
:last_size: '1'
:write_out_group: <function write_out_group at 0xb770517c>
:__name__: '__main__'
:line: '/home/mircea/Multimedia/David\x00Wolfe/Super-Immunity\n'
:write_group: 1
:inode: '5901678'
:__doc__: None
:size: '1'

comment:
:I started a scan for duplicate files in my home folder.
:The program was set to default settings.

Comment 1 Pádraig Brady 2011-08-14 01:42:22 UTC
The line: '/home/mircea/Multimedia/David\x00Wolfe/Super-Immunity\n' looks very unusual. Is there a '\n' character in the path name perhaps?

You could check (and perhaps change) that by using the "Bad names" function in fslint.

This is an old bug actually that should already be handled with:
http://code.google.com/p/fslint/source/detail?r=68&path=/trunk/fslint/findup
http://code.google.com/p/fslint/source/detail?r=71&path=/trunk/fslint/findup

I checked on F15 here without issue, so I'm a bit confused.
A wild quess is that perhaps a `glibc` or `find` update broke globbing which find uses to exclude names with \n.

You could test that doing the following on the command line:

  LF=$'\n'
  touch "nl${LF}nl"
  find \! -name "*$LF*" | grep nl && echo oops

Comment 2 Mircea Sava 2011-08-14 11:42:04 UTC
I checked the path name and didn't find any '\n' character.

About 'glibc', I got an error several times during updates.
The error looks like this:

Non-fatal POSTIN scriptlet failure in rpm package glibc-2.14-5.i686
/usr/sbin/glibc_post_upgrade: While trying to execute /sbin/service child exited with exit code 1
warning: %post(glibc-2.14-5.i686) scriptlet failed, exit status 1

Comment 3 Pádraig Brady 2011-08-15 17:58:38 UTC
I'm not sure about the above glibc_post_upgrade error.
Probably unrelated. I just updated to your glibc version without error,
and confirmed the globbing is OK.

So it seems like a data corruption issue somewhere between find | sort | merge_hardlinks.

Have you a multi core system?
Is it reproducible always by scanning just the '/home/mircea/Multimedia/David Wolfe/' dir?
If it is reproducible, could you edit the /usr/share/fslint/fslint/supprt/fslver file (as root) and add the line 'export OMP_NUM_THREADS=1' and see if it's still reproducible.

cheers

Comment 4 Fedora End Of Life 2012-08-07 20:01:13 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Pádraig Brady 2015-01-23 14:45:25 UTC
*** Bug 1185362 has been marked as a duplicate of this bug. ***

Comment 6 Jan Kurik 2015-07-15 15:14:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 7 Fedora End Of Life 2016-11-24 10:33:44 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2016-12-20 12:09:12 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.